# TdApi.ChatEventTitleChanged (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventTitleChanged

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventTitleChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventTitleChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventTitleChanged extends TdApi.ChatEventAction
The chat title was changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`newTitle`
New chat title.
`String`
`oldTitle`
Previous chat title.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventTitleChanged()`
The chat title was changed.
`ChatEventTitleChanged(DataInput input)`
The chat title was changed.
`ChatEventTitleChanged(String oldTitle, String newTitle)`
The chat title was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldTitle

public String oldTitle
Previous chat title.

### newTitle

public String newTitle
New chat title.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventTitleChanged

public ChatEventTitleChanged()
The chat title was changed.

### ChatEventTitleChanged

public ChatEventTitleChanged(String oldTitle, String newTitle)
The chat title was changed.

Parameters:
  `oldTitle` - String Previous chat title.
  `newTitle` - String New chat title.

### ChatEventTitleChanged

public ChatEventTitleChanged(DataInput input) throws IOException
The chat title was changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`